ru.bitel.oss.systems.inventory.subscription.common.bean

## Class AccountingPeriod

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.oss.systems.inventory.subscription.common.bean.AccountingPeriod

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class AccountingPeriod
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountingPeriod()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSubscriptionId()`
    `java.util.Date` | `getTimeFrom()`
    `java.util.Date` | `getTimeTo()`
    `int` | `getUserId()`
    `void` | `setSubscriptionId(int subscriptionId)`
    `void` | `setTimeFrom(java.util.Date timeFrom)`
    `void` | `setTimeTo(java.util.Date timeTo)`
    `void` | `setUserId(int userId)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccountingPeriod

          public AccountingPeriod()

  - ### Method Detail

    - #### getSubscriptionId

          public int getSubscriptionId()

    - #### setSubscriptionId

          public void setSubscriptionId(int subscriptionId)

    - #### getTimeFrom

          public java.util.Date getTimeFrom()

    - #### setTimeFrom

          public void setTimeFrom(java.util.Date timeFrom)

    - #### getTimeTo

          public java.util.Date getTimeTo()

    - #### setTimeTo

          public void setTimeTo(java.util.Date timeTo)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)